<?
/*
||
|| All queries are in a nested array structure
|| Header 1 -> Header 2 -> Query, Notes
*/
$queries = array(
	"General Info" 
		=> array("Database" => array( "dbi.sql" ,"dbi.htm")
				,"Versions" => array( "ver.sql" ,"ver.htm")
				,"License" => array( "license.sql" ,"license.htm")
				,"init.ora" => array( "initora.sql" ,"initora.htm")
				,"Size" => array("datafiles.sql", "datafiles.htm")
				,"Files" => array("dbfiles.sql", "dbfiles.htm")
				)
	,"Disk I/O, Events, Waits" 
		=> array("All Statistics" => array("sysstata.sql","sysstata.htm")
				,"All Events" => array("sysevents.sql","sysevents.htm")
				,"SGA Stats" => array("sgastat.sql","sgastat.htm")
				,"Wait Stats" => array("waitstat.sql","waitstat.htm")
				,"Sort Stats" => array("sorts.sql","sorts.htm")
				,"Datafile I/O" => array("datafileio.sql","datafileio.htm")
				)
	,"Tablespace Information"
		=> array(
			"Information"=>array("tsinfo.sql","tsinfo.htm")
			,"Coalesced Exts"=>array("tscoal.sql","tscoal.htm")
			,"Usage"=>array("tsusage.sql","tsusage.htm")
			,"Users Default (SYSTEM)"=>array("tssys.sql","tssys.htm")
			,"Objects in SYSTEM TS"=>array("objsys.sql","objsys.htm")
			,"Freespace/Largest Ext"=>array("addextent.sql","addextent.htm")
			)
	,"Session Statistics"
		=> array(
			"Session I/O By User"=>array("sessio.sql","sessio.htm")
			,"CPU Usage By Session"=>array("sescpu.sql","sescpu.htm")
			,"Resource Usage By User"=>array("resource1.sql","resource1.htm")
			,"Session Stats By Session"=>array("sesstat.sql","sesstat.htm")
			,"Cursor Usage By Session"=>array("curusage.sql","curusage.htm")
			,"User Hit Ratios"=>array("userhit1.sql","userhit1.htm")
			)
	,"Hit/Miss Ratios" 
		=> array("Buffer Hit Ratio" => array("buffhit.sql","buffhit.htm")
				,"Data Dict Hit Ratio" => array("ddhit.sql","ddhit.htm")
				,"SQL Cache Hit Ratio" => array("sqlhit.sql","sqlhit.htm")
				,"Library Cache Miss Ratio" => array("libmiss.sql","libmiss.htm")
				)
	,"User Information"
		=> array(
			"User Objects"=>array("userobjs.sql","userobjs.htm")
			,"Invalid Objects"=>array("invalid.sql","invalid.htm")
			,"Object Modification"=>array("usermod.sql","usermod.htm")
			,"User Privileges"=>array("userprivs.sql","userprivs.htm")
			)
	,"Rollback Segments"
		=> array(
			"Segments"=>array("rollback.sql","rollback.htm")
			,"Transactions"=>array("rbs1.sql","rbs1.htm")
			,"Contention"=>array("rbs2.sql","rbs2.htm")
			,"Growth"=>array("rbs3.sql","rbs3.htm")
			)
	,"Full Table Scans"
		=> array(
			"System Statistics (Table)"=>array("sysstatt.sql","sysstatt.htm")
			,"Process Table Scans"=>array("pts.sql","pts.htm")
			,"Process Table Scans (Avg)"=>array("pts_avg.sql","pts_avg.htm")
			)
	,"Contention/Locking"
		=> array(
			"Lock Info"=>array("locks.sql","locks.htm")
			,"SQL Lock Info"=>array("locksql.sql","locksql.htm")
			)
	,"Redo Log Buffer"
		=> array(
			"Statistics"=>array("redostat.sql","redostat.htm")
			,"Contention"=>array("redocont.sql","redocont.htm")
			)
	,"Data Dictionary Info"
		=> array(
			"Dictionary Cache"=>array("dictcache.sql","dictcache.htm")
			,"Latch Gets/Misses"=>array("latch.sql","latch.htm")
			)
	,"Miscellaneous Reports"
		=> array(
			"Checkpoint Interval"=>array("cpinterval.sql","cpinterval.htm")
			,"Write Request Queue"=>array("avgwrque.sql","avgwrque.htm")
			,"Lazy DBWR Indicators"=>array("dbwrlazy.sql","dbwrlazy.htm")
			)
	,"Shared Pool Information"
		=> array(
			"Quick Check"=>array("shpool6.sql","shpool6.htm")
			,"Memory Usage"=>array("shpool2.sql","shpool2.htm")
			,"Loads"=>array("shpool3.sql","shpool3.htm")
			,"Executions"=>array("shpool4.sql","shpool4.htm")
			,"Details"=>array("shpool5.sql","shpool5.htm")
			,"Library Cache Statistics"=>array("shpool1.sql","shpool1.htm")
			,"Reserve Pool Settings"=>array("reservepool.sql","reservepool.htm")
			,"Pinned Objects"=>array("pinned.sql","pinned.htm")
			)
	,"Cursor/SQL Processing"
		=> array(
			"Disk Intensive SQL"=>array("listsql1.sql","listsql1.htm")
			,"Buffer Intensive SQL"=>array("listsql2.sql","listsql2.htm")
			,"Buffer SQL w/ Most Loads"=>array("listsql3.sql","listsql3.htm")
			,"Open Cursors By User"=>array("resource2.sql","resource2.htm")
			,"Running Cursors By User"=>array("resource3.sql","resource3.htm")
			,"LR Open Cursors"=>array("userhit3.sql","userhit3.htm")
			,"LR Running Cursors"=>array("userhit4.sql","userhit4.htm")
			,"LR Objects Access"=>array("userhit2.sql","userhit2.htm")
			)
	,"Database Objects"
		=> array(
			"Clusters"=>array("dbcluster.sql","dbcluster.htm")
			,"Jobs"=>array("dbjobs.sql","dbjobs.htm")
			,"Links"=>array("dblinks.sql","dblinks.htm")
			,"Procs/Pkgs"=>array("dbprocs.sql","dbprocs.htm")
			,"Sequences"=>array("dbseqs.sql","dbseqs.htm")
			,"Snapshots"=>array("dbsnaps.sql","dbsnaps.htm")
			,"Synonyms"=>array("dbsyns.sql","dbsyns.htm")
			,"Triggers"=>array("dbtrigs.sql","dbtrigs.htm")
			,"Views"=>array("dbviews.sql","dbviews.htm")
			)
	,"Tables/Indexes"
		=> array(
			"Tabs w/ Questionable Inds"=>array("unsureidx.sql","unsureidx.htm")
			,"Tabs With More Than 5 Inds"=>array("index5.sql","index5.htm")
			,"Tables With No Indexes"=>array("noindex.sql","noindex.htm")
			,"Tables With No PK"=>array("nopk.sql","nopk.htm")
			,"Disabled Constraints"=>array("discons.sql","discons.htm")
			,"FK Constraints"=>array("fkcons.sql","fkcons.htm")
			,"FK Index Problems"=>array("fkindex.sql","fkindex.htm")
			,"Inconsistent Column Names"=>array("inconsistent.sql","inconsistent.htm")
			,"Object Extent Warning"=>array("noextend.sql","noextend.htm")
			,"Segment Fragmentation"=>array("segfrag.sql","segfrag.htm")
			,"Extents reaching maximum"=>array("fullext.sql","fullext.htm")
			,"Analyzed Tables"=>array("analyzed.sql","analyzed.htm")
			,"Recently Analyzed Tables"=>array("analrecent.sql","analrecent.htm")
			,"Cached Tables"=>array("tabcache.sql","tabcache.htm")
			)

	);

function sidebar(){
	global $PHP_SELF,$k1,$k2, $SID, $queries;
	echo "<TABLE BORDER=\"0\" CELLSPACING=\"0\" CELLPADDING=\"0\" WIDTH=\"100%\">
	 <TR>
	 <TD VALIGN=TOP ALIGN=LEFT WIDTH=\"150\">\n";
	echo "<TABLE BORDER=\"0\" CELLPADDING=\"1\" CELLCPACING=\"0\" WIDTH=\"100%\">";
	while(list($hdr1_desc, $hdr1_data)=each($queries)){
		  echo "<TR>
		  <TH VALIGN=TOP ALIGN=LEFT>";
		  if($k1 == $hdr1_desc) {
			echo "
			<small>
			$hdr1_desc
			</small>";
		  } else {
			echo " <A HREF=\"$PHP_SELF?SID=$SID&l=1&k1=".
			rawurlencode($hdr1_desc).
			"\" CLASS=\"navlink\">
			<small>
			$hdr1_desc
			</small>
			</A>";
		  }
		echo "</TH>
			</TR>
			<TR>
			<TD VALIGN=TOP ALIGN=LEFT>\n";
		while(list($hdr2_desc, $hdr2_data)=each($hdr1_data)){
			if($k2 == $hdr2_desc)
				echo "<small>$hdr2_desc</small><BR>\n";
			else
				echo "<A HREF=\"$PHP_SELF?SID=$SID&l=2&k1=".
				rawurlencode($hdr1_desc)."&k2=".
				rawurlencode($hdr2_desc)."\"><small>$hdr2_desc</small></A><BR>\n";
			}
			echo "</TD>
				</TR>";
	}
	echo "</TABLE>\n";
	echo "</TD>\n";
	echo "<TD CLASS=\"onebar\" WIDTH=\"1\">
	<IMG SRC=\"images/spacer.gif\" WIDTH=\"1\" HEIGHT=\"50\" ALT=\"\">
	</TD>
	<TD VALIGN=TOP ALIGN=LEFT>\n";
}

function showlevel0($w_qry){
	sidebar();
	include ("frontpage.inc");
	echo "</TR>\n";
	echo "</TABLE>\n";
}

function showlevel1($w_qry){
	global $PHP_SELF,$k1,$k2,$SID;
	 sidebar();
	echo "<BR><UL>\n";
	while(list($hdr1_desc, $hdr1_data)=each($w_qry)){
		echo "<LI><A HREF=\"$PHP_SELF?SID=$SID&l=2&k1=".rawurlencode($k1)."&k2=".rawurlencode($hdr1_desc)."\">$hdr1_desc</A></LI>\n";
	}
	echo "</UL>\n";
	echo "</TD>\n</TR>\n";
	echo "</TABLE>\n";
}

function showlevel2($w_qry){
	global $PHP_SELF,$k1,$k2, $SID;
	$mqry=join(" ",file("sql/$w_qry[0]"));
	exequery($mqry);
	echo "<HR SIZE=\"1\">\n";
	readfile("notes/$w_qry[1]");
	echo "<HR SIZE=\"1\">\n";
	echo "<H4>Query</H4>\n";
	echo "<I><PRE>$mqry</PRE><BR>$w_qry[0]</I>\n";
}

?>
